%define	release	%mkrel -c %cvs 8
%define	cvs	20051106

Name:		subtitleripper
Version:	0.6.14
Release:	%{release}
Summary:	DVD Subtitle Ripper for Linux
License:	GPLv1+
Group:		Video/Utilities

Url:		http://subtitleripper.sourceforge.net/
Source:		%name-%cvs.tar.bz2
Patch:		subtitleripper-20051106-netpbm.patch
Epoch:		1

BuildRequires:	netpbm-devel
BuildRequires:	png-devel

Requires:	transcode

%description
If you want to convert DVD subtitles into text format (e.g. sub-rip
format) this program could be useful for you. However, it is only one
tiny tool that you need in the process.
The output of this program should be processed by some OCR software.

%prep
%setup -q -n %name
%patch -p1 -b .netpbm

%build
pushd src
%make all COPT="$RPM_OPT_FLAGS -DHAVE_GETLINE"
perl -pi -e 's|PATH_TO_LANGUAGE_FILTER=.*|PATH_TO_LANGUAGE_FILTER=%{_datadir}/subtitleripper|' pgm2txt
popd

%install
pushd src
mkdir -p %{buildroot}%{_bindir}
install -m 755 subtitle2vobsub srttool subtitle2pgm pgm2txt vobsub2pgm %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 *.sed %{buildroot}%{_datadir}/%{name}
popd

%files
%doc src/README* src/ChangeLog techdoc/spuformat.tex
%_bindir/subtitle2vobsub
%_bindir/srttool
%_bindir/subtitle2pgm
%_bindir/pgm2txt
%_bindir/vobsub2pgm
%{_datadir}/%{name}


%changelog
* Fri Sep 21 2018 umeabot <umeabot> 1:0.6.14-0.20051106.8.mga7
  (not released yet)
+ Revision: 1291715
- Mageia 7 Mass Rebuild

* Wed Feb 24 2016 daviddavid <daviddavid> 1:0.6.14-0.20051106.7.mga6.tainted
+ Revision: 977907
- rebuild for Mageia 6

* Wed Oct 15 2014 umeabot <umeabot> 1:0.6.14-0.20051106.6.mga5.tainted
+ Revision: 741348
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.6.14-0.20051106.5.mga5.tainted
+ Revision: 689575
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1:0.6.14-0.20051106.4.mga4.tainted
+ Revision: 548214
- Mageia 4 rebuild

* Tue Jun 04 2013 fwang <fwang> 1:0.6.14-0.20051106.3.mga4.tainted
+ Revision: 436963
- rebuild for new libpng

* Tue Jan 22 2013 fwang <fwang> 1:0.6.14-0.20051106.2.mga3.tainted
+ Revision: 390992
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 dams <dams> 1:0.6.14-0.20051106.1.mga3.tainted
+ Revision: 277443
- clean specfile

* Tue Jul 03 2012 vaci0 <vaci0> 1:0.6.14-0.20051106.1.mga3
+ Revision: 266869
- imported package subtitleripper

